# Created by pyp2rpm-3.3.2
%global pypi_name pysftp

Name:           python-%{pypi_name}
Version:        0.2.9
Release:        1%{?dist}
Summary:        A friendly face on SFTP

License:        BSD
URL:            https://bitbucket.org/dundeemt/pysftp
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A simple interface to SFTP. The module offers high level abstractions and task
based routines to handle your SFTP needs. Checkout the Cook Book, in the docs,
to see what pysftp can do for you.Example import pysftp with
pysftp.Connection('hostname', username'me', password'secret') as sftp: with
sftp.cd('public'): temporarily chdir to public sftp.put('/my/local/filename')
upload file to public/...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(paramiko) >= 1.17
%description -n python3-%{pypi_name}
A simple interface to SFTP. The module offers high level abstractions and task
based routines to handle your SFTP needs. Checkout the Cook Book, in the docs,
to see what pysftp can do for you.Example import pysftp with
pysftp.Connection('hostname', username'me', password'secret') as sftp: with
sftp.cd('public'): temporarily chdir to public sftp.put('/my/local/filename')
upload file to public/...

%package -n python-%{pypi_name}-doc
Summary:        pysftp documentation
%description -n python-%{pypi_name}-doc
Documentation for pysftp

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt

%changelog
* Wed Feb 27 2019 mockbuilder - 0.2.9-1
- Initial package.